// ==UserScript==
// @name        Squash_Redim_pas_exec
// @description Redimmensionne dans Squash TM les pas d'exécution trop larges
// @include  /^http://your.domain/.../executions/*/
// @version     1.1.1
// @grant       none
// ==/UserScript==
initLargeur();
		
function initLargeur()
{
  var tableResultat = document.getElementById("execution-execution-steps-table");
  if(tableResultat!=null)
    {
       var enfants = tableResultat.childNodes;
       for (var i = 0; i < enfants.length; i++) 
       {
          redimChild(enfants[i]);
       }
    }
  setTimeout(initLargeur, 3000);
}

function redimChild(noeud)
{
  var taillemax= 300;
  if(noeud.nodeName=="IMG")
    {
      var imgWidth = noeud.width;
      var imgHeight = noeud.height;
      var ratio = imgWidth/imgHeight;
      if(imgWidth>taillemax) 
        {
          noeud.width = taillemax;
          noeud.height = taillemax/ratio;
          noeud.style.cursor = "pointer";
          noeud.addEventListener('click', fctOuvririmg, false);	
        }
    }
  var enfants = noeud.childNodes;
  for (var i = 0; i < enfants.length; i++) 
  {
    redimChild(enfants[i]);
  }
}

function fctOuvririmg(e)
{
	var target = e.target || e.srcElement;
  window.open(target.src, "_blank", "fullscreen=no,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=no");
    e.preventDefault();
  e.stopPropagation();
}